<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MetricCalculatorRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'meta_faturamento' => 'required|numeric|min:1',
            'ticket_medio' => 'required|numeric|min:1',
            'taxa_conversao' => 'required|numeric|min:0.05|max:1',
            'taxa_nao_comparecimento' => 'required|numeric|min:0|max:0.6',
            'leads_por_agendamento' => 'required|numeric|min:1',
            'equipe_sdr' => 'required|integer|min:0',
            'equipe_closer' => 'required|integer|min:0',
        ];
    }

    public function authorize(): bool
    {
        return true;
    }
}
