<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('metric_calculations', function (Blueprint $table) {
            $table->id();
            $table->decimal('meta_faturamento', 15, 2);
            $table->decimal('ticket_medio', 15, 2);
            $table->decimal('taxa_conversao', 5, 2);
            $table->decimal('taxa_nao_comparecimento', 5, 2);
            $table->integer('leads_por_agendamento');
            $table->integer('equipe_sdr');
            $table->integer('equipe_closer');
            $table->integer('vendas_necessarias');
            $table->integer('reunioes_necessarias');
            $table->integer('reunioes_agendadas');
            $table->integer('closers_necessarios');
            $table->integer('sdrs_necessarios');
            $table->integer('gerentes_necessarios')->default(0);
            $table->integer('head_de_vendas')->default(0);
            $table->integer('coordenadores_necessarios')->default(0);
            $table->integer('diretores_necessarios')->default(0);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('metric_calculations');
    }
};
